gnutls_pkcs7_print(3)

NAME
gnutls_pkcs7_print - API function

SYNOPSIS
#include <gnutls/pkcs7.h>

int gnutls_pkcs7_print(gnutls_pkcs7_t pkcs7, gnutls_certificate_print_formats_t format, gnutls_datum_t * out);

ARGUMENTS

gnutls_pkcs7_t pkcs7
    The PKCS7 struct to be printed

gnutls_certificate_print_formats_t format
    Indicate the format to use

gnutls_datum_t * out
    Newly allocated datum with null terminated string.

DESCRIPTION
This function will pretty print a signed PKCS 7 structure, suitable for display to a human. Currently the supported formats are GNUTLS_CRT_PRINT_FULL and GNUTLS_CRT_PRINT_COMPACT. The output out needs to be deallocated using gnutls_free().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/